Kea: isc::http::CfgHttpHeader Class Reference

| Kea 3.2.0-git

isc::http::CfgHttpHeader Class Reference

Config HTTP header. More...

`#include <cfg_http_header.h>`

Inheritance diagram for isc::http::CfgHttpHeader:
[legend]

## Public Member Functions
| CfgHttpHeader (const std::string &name, const std::string &value)
| Constructor.
virtual isc::data::ElementPtr | toElement () const
| Unparses config HTTP header.
Public Member Functions inherited from isc::data::UserContext
void | contextToElement (data::ElementPtr map) const
| Merge unparse a user_context object.
data::ConstElementPtr | getContext () const
| Returns const pointer to the user context.
void | setContext (const data::ConstElementPtr &ctx)
| Sets user context.
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor.

## Public Attributes
std::string | name_
| Header name.
std::string | value_
| Header value.

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::UserContext
static data::ElementPtr | toElement (data::ConstElementPtr map)
| Copy an Element map.
Protected Attributes inherited from isc::data::UserContext
data::ConstElementPtr | user_context_
| Pointer to the user context (may be NULL).

## Detailed Description

Config HTTP header.

Extra headers to include in a message are configured as a list of objects of this class. At the difference of other HTTP header classes there is no numeric value.

Definition at line 24 of file cfg_http_header.h.

## Constructor & Destructor Documentation

## ◆ CfgHttpHeader()

isc::http::CfgHttpHeader::CfgHttpHeader | ( | const std::string & | name,
|  | const std::string & | value )
| inline

Constructor.

Parameters

  name | Header name.
  value | Header value.

Definition at line 36 of file cfg_http_header.h.

References name_, and value_.

## Member Function Documentation

## ◆ toElement()

ElementPtr isc::http::CfgHttpHeader::toElement | ( |  | ) | const
| virtual

Unparses config HTTP header.

Returns
  A pointer to unparsed header configuration.

Implements isc::data::CfgToElement.

Definition at line 21 of file cfg_http_header.cc.

References isc::data::UserContext::contextToElement(), Element::create(), isc::data::Element::createMap(), name_, and value_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ name_

std::string isc::http::CfgHttpHeader::name_

Header name.

Definition at line 27 of file cfg_http_header.h.

Referenced by CfgHttpHeader(), and toElement().

## ◆ value_

std::string isc::http::CfgHttpHeader::value_

Header value.

Definition at line 30 of file cfg_http_header.h.

Referenced by CfgHttpHeader(), and toElement().

The documentation for this class was generated from the following files:

- cfg_http_header.h
- cfg_http_header.cc